godo.Apps.GetExec()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Apps.GetExec(ctx context.Context, appID string, deploymentID string, component string) (*godo.AppExec, *godo.Response, error)Description
GetExec retrieves the websocket URL used for sending/receiving console input and output.
Deprecated: Use GetExecWithOpts instead.
This method sends a GET request to /v2/apps/{}/deployments/{}/components/{}/exec.
Parameters
appIDstring requireddeploymentIDstring requiredcomponentstring required
Returns
- *godo.AppExec
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.AppExec
AppExec represents the websocket URL used for sending/receiving console input and output.
URLstring
Request Sample
Response Example
More Information
See GET /v2/apps/{}/deployments/{}/components/{}/exec in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.